#include <omp.h>
#include <math.h>
#include <stdio.h>
#include <stdlib.h>



double do_some_computation(int i)
{
	double t = 0.0;
	int j;
	for (j = 0; j < i*i; j++)
	{
		t += sin((double)j) * cos((double)j);
	}
	return t;
}


int main(int argc, char* argv[])
{
	const int dimension = 500;
	double result = 0.0;

	double t1 = omp_get_wtime();
	double t2;

	int i;
	for (i = 0; i < dimension; i++)
	{
		result += do_some_computation(i);
	}

	t2 = omp_get_wtime();
	printf("Computation took %.3lf seconds.\n", t2 - t1);
        printf("Result is %.3lf.\n", result);
	
	return 0;
}
